#include "action_clear_left.h"

namespace NRTYDeploy {

    NJson::TJsonValue TAlertsClearAction::DoSerializeToJson() const {
        return NJson::TJsonValue(NJson::JSON_MAP);
    }

    void TAlertsClearAction::DoDeserializeFromJson(const NJson::TJsonValue& /*json*/) {
    };

    void TAlertsClearAction::DoInterpretResult(const TString& result) {
        Success(result);
    }

    TAlertsClearAction::TFactory::TRegistrator<TAlertsClearAction> TAlertsClearAction::Registrator(ALERTS_CLEAR_ACTION_NAME);
}
